from numpy.random import uniform, seed
from matplotlib.mlab import griddata
import matplotlib.pyplot as plt
import numpy as np


infile = open("sources_delays.txt", "r")
lines = infile.readlines()
infile.close()

mylines = [line.strip() for line in lines if (len(line) > 3 and "#" not in line and float(line.split()[3]) < 0.001)]
mylines = [line.strip() for line in lines if (len(line) > 3 and "#" not in line)]

print len(mylines)

x = [float(line.split()[0]) for line in mylines]
y = [float(line.split()[1]) for line in mylines]
z = [float(line.split()[3]) for line in mylines]


lim = 6.0

xi = np.linspace(-lim,lim,100)
yi = np.linspace(-lim,lim,100)
# grid the data.
zi = griddata(x,y,z,xi,yi)
# contour the gridded data, plotting dots at the nonuniform data points.
#CS = plt.contour(xi,yi,zi,15,linewidths=0.5,colors='k')
#CS = plt.contourf(xi,yi,zi,15,cmap=plt.cm.jet)

CS = plt.contour(xi,-yi,zi.transpose(),15,linewidths=0.5,colors='k')
CS = plt.contourf(xi,-yi,zi.transpose(),15,cmap=plt.cm.jet)


plt.colorbar() # draw colorbar
# plot data points.
#plt.scatter(x,y,marker='o',c='b',s=5)
plt.xlim(-lim,lim)    
plt.ylim(-lim,lim)     
#plt.title('griddata test (%d points)' % npts)
plt.show()

